package com.care.common.vo.event;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件工单-钥匙申请记录(CareEventOrderKeyApply)实体类
 *
 * @author makejava
 * @since 2021-05-29 15:45:38
 */

@Data
@ApiModel(value = "事件工单-钥匙申请记录", description = "")
public class KeyApplyVO implements Serializable {
    private static final long serialVersionUID = 225803583759698088L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("申请人角色 chanmb管家 contact紧联系人")
    private String applyRole;


    @ApiModelProperty("申请人ID")
    private Long applyUserId;


    @ApiModelProperty("状态：0:待授权 1 已授权")
    private String status;


    @ApiModelProperty("联系人姓名")
    private String applyUserName;


    @ApiModelProperty("处理结果")
    private String handleResult;


    @ApiModelProperty("createTime")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    private Date modifyTime;

    @ApiModelProperty("关系类别")
    private String relationTypeDesc;

}